# vim: set sw=4 ts=4 et nu:

Name:               pymp3cut
Version:            0.27
Release:            1.4
Summary:            Cut MP3 Files
Source:             http://prdownloads.sourceforge.net/pymp3cut/pymp3cut-%{version}.tar.gz
Patch1:             pymp3cut-remove_shebangs.patch
URL:                http://www.librelogiciel.com/software/PyMP3Cut/action_Presentation
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
Requires:           python-%{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:          noarch
%endif

%description
PyMP3Cut is a Python command line tool designed to cut very huge MP3 files at a
blazzingly fast rate without requiring the extra disk space and processing time
usually needed by Audacity or other similar visual audio editing tools, which
convert the MP3 format to more easily manageable formats like WAV before doing
anything. The WAV conversion usually requires 10 times more disk space !

PyMP3Cut doesn't convert anything : it reads and cuts simultaneously, according
to the autodetected audio frame rate and a timeline passed as a command line
argument. You can think of PyMP3Cut as being some sort of very careful chainsaw
;-) Since there's no back and forth MP3 conversion, there's no quality loss
either !

PyMP3Cut was designed to slice high quality MP3 recordings of day-long
congresses into smaller per-speaker MP3 files. It only needs the exact same
amount of disk space as the original file to slice, even less if you plan to
skip some parts, which PyMP3Cut can do automatically if you use a specially
formatted *SKIP* entry in your timeline. It was successfully used many times
against several hundredths megabytes MP3 files.

%package -n python-%{name}
Summary:            Python Module to cut MP3 Files
Group:              Development/Libraries/Python
%py_requires

%description -n python-%{name}
Python module to cut large MP3 files.

%prep
%setup -q
%patch1

find . -type f -name '*.pyc' -exec %__rm {} \;

# replace /usr/bin/env shebang with fully qualified python:
%__perl -p -i -e 's,^#!\s*/usr/bin/env\s*.+,#!'"%__python"', if $.==1' bin/*

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

%__perl -n -i -e 'print unless m,^%{_bindir},' files.lst

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/pymp3cut
%{_bindir}/pmpcmp3

%files -n python-%{name} -f files.lst
%defattr(-,root,root)
%doc COPYING CREDITS NEWS README TODO

%changelog
* Sun Sep 18 2011 pascal.bleser@opensuse.org
- initial version (0.27)
